| Home | Libraries | People | FAQ | More

## Function parse_environment

boost::program_options::parse_environment —

## Synopsis

    BOOST_PROGRAM_OPTIONS_DECL parsed_options
    parse_environment(const options_description &, const std::string & prefix);
    BOOST_PROGRAM_OPTIONS_DECL parsed_options
    parse_environment(const options_description &, const char * prefix);

## Description

Parse environment.

Takes all environment variables which start with 'prefix'. The option name is obtained from variable name by removing the prefix and converting the remaining string into lower case.

| Copyright © 2002-2004 Vladimir Prus